<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template, $page;
 
$piwecard = get_plugin_data($plugin_id);

if (isset($_POST['submit'])) {
	$errors = array();
	$configuration = array();

    $configuration['validity_default'] = $_POST['ecard_validity_default'];
    $configuration['sender_copy'] = isset($_POST['ecard_sender_copy']);
    $configuration['sender_email_change'] = isset($_POST['ecard_sender_email_change']);
	
	$ecard_email_format_array = array();
	foreach($_POST['ecard_email_format'] as $ecard_email_format) {
		array_push($ecard_email_format_array, $ecard_email_format);
	}
	$configuration['email_format_authorized'] = $ecard_email_format_array;
	$configuration['email_format_default'] = $_POST['ecard_email_format_default'];
	if (!in_array($configuration['email_format_default'], $configuration['email_format_authorized']))
		$errors['email_format_default'] = array(
												'style_error_text' => 'display: inline;',
		);
    $configuration['show_image_infos'] = ((isset($_POST['ecard_show_image_infos']) && $_POST['ecard_show_image_infos'] == '1') ? '1' : '0');
    $configuration['default_guest_email'] = $_POST['ecard_default_guest_email'];
	if ($configuration['default_guest_email'] !='' && !$piwecard->is_valid_email($configuration['default_guest_email']))
		$errors['default_guest_email'] = array(
												'style_error_text' 	=> 'display: inline;',
												'style_error_input'	=> 'class="ecard_admin_error_input"',
		);
	$configuration['email_subject'] = htmlspecialchars($_POST['ecard_email_subject']);
	if ($configuration['email_subject'] == '')
		$errors['email_subject'] = array(
												'style_error_text' 	=> 'display: inline;',
												'style_error_input'	=> 'class="ecard_admin_error_input"',
		);
	$configuration['email_message']['text'] = htmlspecialchars($_POST['ecard_email_message_text']);
	if ($configuration['email_message']['text'] == '')
		$errors['email_message']['text'] = array(
												'style_error_text' 	=> 'display: inline;',
												'style_error_input'	=> 'class="ecard_admin_error_input"',
		);
	$configuration['email_message']['html'] = stripslashes($_POST['ecard_email_message_html']);
	if ($configuration['email_message']['html'] == '')
		$errors['email_message']['html'] = array(
												'style_error_text' 	=> 'display: inline;',
												'style_error_input'	=> 'class="ecard_admin_error_input"',
		);
	
	foreach ($configuration as $key => $item) {
		if (!array_key_exists($key, $errors)) {
			$piwecard->my_config[$key] = $configuration[$key];
		}
	}
	$piwecard->set_config();
	
	if (empty($errors)) {
		array_push($page['infos'], l10n('Information data registered in database'));
	} else {
		$template->assign('ecard_errors', $errors);
		array_push($page['errors'], l10n('piwecard_errors'));
	}
}

foreach($piwecard->my_config['validity'] as $validity) {
	$template->append('ecard_validity', array(
											'id' => $validity,
											'name' => ($validity == 0) ? l10n('piwecard_nolimit') : $validity.' '.l10n('piwecard_days'),
											'selected' => (($piwecard->my_config['validity_default'] == $validity) ? 'selected' : ''),
										)
	);
}
$template->assign('ecard_sender_copy', $piwecard->my_config['sender_copy'] ? 'checked="checked"' : '');
$template->assign('ecard_sender_email_change', $piwecard->my_config['sender_email_change'] ? 'checked="checked"' : '');
$email_format_array = array();
foreach($piwecard->my_config['email_format'] as $email_format) {
	array_push($email_format_array, array(
											'id' => $email_format,
											'selected' => (in_array($email_format, $piwecard->my_config['email_format_authorized']) ? 'checked="checked"' : ''),
											'selected_default' => (($piwecard->my_config['email_format_default'] == $email_format) ? 'checked="checked"' : ''),
											'language_string' => 'piwecard_email_format_'.$email_format,
										)
	);
}
$template->assign('ecard_email_format', $email_format_array);
$template->assign('ecard_email_format_default', $email_format_array);
$template->assign('ecard_show_image_infos', $piwecard->my_config['show_image_infos'] ? 'checked="checked"' : '');
$template->assign('ecard_default_guest_email', ((isset($configuration['default_guest_email'])) ? $configuration['default_guest_email'] : $piwecard->my_config['default_guest_email']));
$template->assign('ecard_email_subject', ((isset($configuration['email_subject'])) ? $configuration['email_subject'] : htmlspecialchars_decode($piwecard->my_config['email_subject'])));
$template->assign('ecard_email_message_text', ((isset($configuration['email_message']['text'])) ? $configuration['email_message']['text'] : htmlspecialchars_decode($piwecard->my_config['email_message']['text'])));
$template->assign('ecard_email_message_html', ((isset($configuration['email_message']['html'])) ? $configuration['email_message']['html'] : htmlspecialchars_decode($piwecard->my_config['email_message']['html'])));
    
$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/admin_configuration.tpl');
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>